import React from "react";
import Button from "../../util/Button";
import ms from "pretty-ms";

export default ({ onCreateGame, cannotCreateGame, timer, setTimer }) => {
  return (
    <div className="new-game">
      <div className="new-game__dropdown">
        <div className="new-game__dropdown-button">
          Round Timer: {ms(timer * 1000)}
        </div>
        <div className="new-game__dropdown-items">
          <div className="new-game__dropdown-option" onClick={() => setTimer(30)}>30 Seconds</div>
          <div className="new-game__dropdown-option" onClick={() => setTimer(300)}>5 Minutes</div>
          <div className="new-game__dropdown-option" onClick={() => setTimer(3600)}>1 Hour</div>
        </div>
      </div>
      <Button className="new-game__btn" onClick={onCreateGame} disabled={cannotCreateGame}>
        Create New Game
      </Button>
    </div>
  );
};